r129 - in builds/debian_unstable: . package_deb_0.7.0-rREV_default

erik at minisip.org erik at minisip.org
Tue Oct 23 14:14:02 CEST 2007


Author: erik
Date: 2007-10-23 14:14:01 +0200 (Tue, 23 Oct 2007)
New Revision: 129

Added:
   builds/debian_unstable/package_deb_0.7.0-rREV_default/
   builds/debian_unstable/package_deb_0.7.0-rREV_default/build.sh
Log:

 * Auto-build .deb packages.
   They are labeled 0.7.0+rNNNN (where NNNN is the current revision). (Note
   that the version numbers in configure.ac is not up to date yet)



Added: builds/debian_unstable/package_deb_0.7.0-rREV_default/build.sh
===================================================================
--- builds/debian_unstable/package_deb_0.7.0-rREV_default/build.sh	                        (rev 0)
+++ builds/debian_unstable/package_deb_0.7.0-rREV_default/build.sh	2007-10-23 12:14:01 UTC (rev 129)
@@ -0,0 +1,45 @@
+#!/bin/bash
+
+REV=$1
+BASE=`pwd`
+PREFIX=${BASE}/usr
+REV=$1
+
+#Faster compiles, but requires ccache
+export CXX="ccache g++"
+
+export PKG_CONFIG_PATH=${PREFIX}/lib/pkgconfig
+export ACLOCAL_FLAGS="-I ${PREFIX}/share/aclocal"
+export CPPFLAGS="$CPPFLAGS -I /usr/local/PCSC"
+
+mkdir -p ${PREFIX}/share/aclocal
+
+svn co -q -r $REV svn://svn.minisip.org/minisip/trunk || { echo "ERROR Could not download source" >&2 && exit 1 ; }
+
+# wait if high load (only available on dev.minisip.org)
+sleep_while_load 2
+
+# compile with smart card support, disable gconf
+cd trunk
+for LIB in libmutil libmnetutil libmcrypto libmstun libmikey libmsip libminisip minisip ; do
+    cd $LIB
+    echo "" >&2
+    echo "AUTOBUILD_INFO: processing ${LIB}..." >&2
+    ./bootstrap && ./configure --enable-gtkgui --enable-textui --disable-gconf prefix=$PREFIX && nice -16 make -j2 && nice -16 make install || { echo "ERROR: Could not bootstrap/configure/compile/install ${LIB}" >&2 && exit 1 ; }
+    cd .. 
+done
+
+for LIB in libmutil libmnetutil libmcrypto libmstun libmikey libmsip libminisip minisip ; do
+    cd $LIB
+    echo "" >&2
+    echo "Building package: processing ${LIB}..." >&2
+    dch -v "0.7.0-r$REV" 'Automatic build.'
+    dpkg-buildpackage -rfakeroot -d 
+    cd .. 
+done
+
+
+cd $BASE
+mkdir output
+cp trunk/*.deb trunk/*.dsc trunk/*.changes trunk/*.tar.gz output/
+


Property changes on: builds/debian_unstable/package_deb_0.7.0-rREV_default/build.sh
___________________________________________________________________
Name: svn:executable
   + *



More information about the Minisip-devel mailing list